using LandblockExtraction.DatEngine;

namespace Test_LandblockExtraction.DatEngineTest {
    [TestClass]
    public class CellEngine_Test {
        public CellEngine engine;
        public CellEngine_Test() {
            engine = new CellEngine();
        }
        [TestMethod]
        public void GetLandBlockData_CorrectlyReturn() {
            var value = engine.GetLandBlockData(0x0A98FFFF);

            Assert.IsNotNull(value);
        }
        [TestMethod]
        public void GetLandBlockData_BadReturn() {
            var value = engine.GetLandBlockData(0xFFFFFFFF);

            Assert.IsNull(value);
        }
    }
}
